// components/order-item/manager-order-item.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    item: {
      value: null,
      type: Object
    },
    roleType: {
      value: null,
      type: Number
    }
  },

  /**
   * 组件的初始数据
   */
  data: {

  },

  /**
   * 组件的方法列表
   */
  methods: {
    dealAction(){
      this.triggerEvent("dealAction",{id: this.data.item.id})
    },
    cancelAction(){
      this.triggerEvent("cancelAction",{id: this.data.item.id})
    },
    finishAction(){
      this.triggerEvent("finishAction",{id: this.data.item.id})
    },
    dispatchAction(){
      this.triggerEvent("dispatchAction",{id: this.data.item.id})
    }
  }
})
